[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: music-font

From: Simon Bailey
Subject: Re: music-font
Date: 28 May 2002 12:18:15 +0200

On Tue, 2002-05-28 at 11:08, Mats Bengtsson wrote:
> OK, what probably happens is that your newly compiled lilypond 
> program reads the initialization files from a previous installation
> in /usr/share/lilypond/...
> Did you run 'make install' and where did it install the files?
> Do you have the same problem as Maurizio that not even ly2dvi 
> works (having run 'make install')?

i ran ./configure --prefix=/usr; the files were then installed into the
directory /usr/share/lilypond -- which is where my previous version of
lilypond is/was. ly2dvi broke off with the same error.

> However, this is a bug in the make files, since it should be 
> possible to build a new version without removing an existing 
> installation. The strange thing is that the Makefiles indeed set 
> temporary environment variables that should solve problem. We 
> discussed it on the mailing list some week ago and Han-Wen didn't 
> manage to repeat the bug. 

> Could you please try the following (assuming that you still have
> files from some older Lilypond version in /usr/share/lilypond/):

i first moved the 1.5 version to /usr/share/lilypond-1.5.58, renamed the
binaries and then installed version 1.4.13 to /usr/share/lilypond. this
worked without any problems, and i could generate the sheet of music
that i needed - and the documentation using the make -C
Documentation/user out/lilypond.dvi command.
> - First of all, make sure that the environment variables 
>   $LILYPONDPREFIX and $LILYINCLUDE are undefined. If they
>   were defined, we have hopefully found the problem.

these variables are at the moment undefined.

> - Set the environment variable LILYPONDPREFIX to 
>   the full path of the lilypond-1.5.58/ directory and
>   try to rerun the make command.

address@hidden lilypond-1.5.58]$ LILYPONDPREFIX=/usr/share/lilypond-1.5.58 
address@hidden lilypond-1.5.58]$ LILYINCLUDE=$LILYPONDPREFIX/ly
> - Set the environment variable LILYINCLUDE to "$LILYPONDPREFIX/ly"
>   and try to rerun the make command.

same error as before:
GNU LilyPond 1.5.58
Now processing: `out/'
Interpreting music...[1]
Preprocessing elements... 
Calculating column positions... [2]
paper output to `out/lily-333851501.tex'...Backtrace:
0* [tex-output-expression # #<output: out/lily-333851501.tex 3>]
1* [display ...
2*  [eval # #]

ERROR: In procedure eval in expression (my-eval-in-module expr
ERROR: Wrong number of arguments to #<primitive-procedure eval>
make: *** [out/lily-333851501.tex] Error 2
make: Leaving directory

i will try what maurizio suggested and update my guile libraries.

Confucius say, man who live in glass house shower in basement.

reply via email to

[Prev in Thread] Current Thread [Next in Thread]